import imp
from ng_openstack.openstackRequest import Openstack_Request
from ng_openstack.keystone import Openstack_Keystone
from ng_openstack.logger import log



class OpenstackConnection():
    requestor=Openstack_Request()
    keystone=Openstack_Keystone(requestor)
    

    def __init__(self, someVar="", someotherVar=""):
        self.someotherVar = someotherVar
        self.someVar = someVar


    @property
    def human_age(self):
        return self.age * 7

    @human_age.setter
    def human_age(self, value):
        self.age = value / 7

    def __str__(self):
        return '{} is {} years old'.format(
            self.name, self.age
        )

    def __eq__(self, other):
        return self.name == other.name and self.age == other.age

    def make_sound(self):
        print(self.SOUND)